package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Distric;
import com.realnet.basicp1.Services.DistricService ;








@RequestMapping(value = "/Distric")
 @CrossOrigin("*") 
@RestController
public class DistricController {
	@Autowired
	private DistricService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Distric")
		  public Distric Savedata(@RequestBody Distric data) {
		Distric save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Distric/{id}")
	public  Distric update(@RequestBody Distric data,@PathVariable Integer id ) {
		Distric update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Distric/getall/page")
	public Page<Distric> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Distric> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Distric")
	public List<Distric> getdetails() {
		 List<Distric> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Distric")
	public List<Distric> getallwioutsec() {
		 List<Distric> get = Service.getdetails();		
		return get;
}
@GetMapping("/Distric/{id}")
	public  Distric  getdetailsbyId(@PathVariable Integer id ) {
		Distric  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Distric/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}